from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, 'app', "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '1.0.0'
DESCRIPTION = 'Colored printing'
LONG_DESCRIPTION = 'A simple package that allows for colored printing to the terminal'

# Setting up
setup(
    name="simplecprint",
    version=VERSION,
    author="Stephen Steyaert",
    author_email="savagery2005@gmail.com",
    description=DESCRIPTION,
    package_dir={'':"app"},
    packages=find_packages(where="app"),
    long_description_content_type="text/markdown",
    long_description=long_description,
    install_requires=[],
    keywords=['python', 'colors', 'print', 'colored print', 'cprint', 'simple colored print'],
    license="MIT",
    classifiers=[
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 2",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ],
    extras_require={
        'dev':["twine>=4.0.2"]
    },
    url="https://github.com/Steyaertc23/cprint"
)